Subject: Re: [bug#54311] [PATCH] gnu: tint2: Update to 17.0.2.

From: Jaft <[email-masked]>
Date: Wed, 9 Mar 2022 21:46:27 +0000 (UTC)

> On Wednesday, March 9, 2022, 02:30:14 PM CST, Maxime Devos <[email-masked]> wrote: 
>
>
>
>
>
> Wamm K. D schreef op wo 09-03-2022 om 13:34 [-0600]:
>
> > +              (uri (string-append "https://gitlab.com/o9000/" name "/-/archive/"
> > +                                  version "/" name "-" version ".tar.gz"))
>
>
> Is this uri stable?

I think it's a standard GitLab URL? It's what was given when choosing to download the .tar.gz file from GitLab; I went with it to avoid a lot of changes to the original package definition but, given it's just Git, we could just use a git-download instead. Let me know if that's preferred.

> Also, there seems to be a 'v' missing before version.  Does
> "guix download
> https://gitlab.com/o9000/tint2/-/archive/17.0.2/tint2-17.0.2.tar.gz"
> succeed?

It does (I'm running version 17.0.2 on my machine, right now); the tint2 project tags versions with both no "v" and with a "v" so either would work. Both "https://gitlab.com/o9000/tint2/-/archive/17.0.2/tint2-17.0.2.tar.gz" and "https://gitlab.com/o9000/tint2/-/archive/v17.0.2/tint2-v17.0.2.tar.gz" should be valid (https://gitlab.com/o9000/tint2/-/tags).